> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote

> By consuming this endpoint you can calculate the ramp details by providing the desired parameters. The response body will show the calculated ramp details based on them.

#### Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token that authenticates the request. |

#### Request Body

| **Field** | **Type** | **Required** | **Description** |
| --- | --- | --- | --- |
| amount | float | Yes | This is the amount you will operate and send. |
| direction | string | Yes | The type of order/ ramp you will create ("DEPOSIT": if you have Fiat and want to receive stablecoin; "WITHDRAWAL": if you have stablecoin and want to receive Fiat). |
| symbolOrigin | string | Yes | The symbol of the token/fiat you will send us (COP, USD, USDC, COPM). |
| symbolDestination | string | Yes | The symbol of the token/fiat we will send you (COP, USD, USDC, COPM). |
| executionMode | string | Yes | Defines how the amount is interpreted. Accepts two values: "NORMAL", the amount corresponds to the symbolOrigin, meaning you fix the value you want to send and the system calculates the amount to be received in symbolDestination. "INVERSE" , the amount corresponds to the symbolDestination, meaning you fix the value you want to receive and the system calculates the amount to be debited in symbolOrigin. |
| paymentMethod | string | Yes | The channel used to move the funds. Select the value that matches your operation type and currency. Allowed values: BREB, PSE, SWIFT, WIRE. |

#### Response

The response for this request is a JSON object representing the quote.

| **Field** | **Description** |
| --- | --- |
| amountOrigin | This is the amount you will operate and send to us. |
| amountDestination | This is the amount that we will send and you will receive as a result of your operation. |
| costInfra | This is the infrastructure use cost applied to your transaction in FIAT. This is Kravata's earning for providing the services you are using, and delivering the best experience possible with them. It will be calculated based on the amount sent. |
| calculateRate | This is the rate used for calculating the amount to receive and the infrastructure use cost. |
| symbolOrigin | The symbol of the token/fiat you will send us (COP, USD, USDC, COPM). |
| symbolDestination | The symbol of the token/fiat we will send you (COP, USD, USDC, COPM). |
| withdrawalFee | Withdrawal costs related to the transaction. |
| direction | The type of order/ ramp you will create ("DEPOSIT": if you have Fiat and want to receive stablecoin; "WITHDRAWAL": if you have stablecoin and want to receive Fiat). |



## OpenAPI

````yaml /stack/openapi.json post /api/v1/admin/operations/custodian-quote
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/operations/custodian-quote:
    post:
      tags:
        - Liquidity Ramps
      summary: Get Quote
      description: >-
        By consuming this endpoint you can calculate the ramp details by
        providing the desired parameters. The response body will show the
        calculated ramp details based on them.


        #### Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token that authenticates the
        request. |


        #### Request Body


        | **Field** | **Type** | **Required** | **Description** |

        | --- | --- | --- | --- |

        | amount | float | Yes | This is the amount you will operate and send. |

        | direction | string | Yes | The type of order/ ramp you will create
        ("DEPOSIT": if you have Fiat and want to receive stablecoin;
        "WITHDRAWAL": if you have stablecoin and want to receive Fiat). |

        | symbolOrigin | string | Yes | The symbol of the token/fiat you will
        send us (COP, USD, USDC, COPM). |

        | symbolDestination | string | Yes | The symbol of the token/fiat we
        will send you (COP, USD, USDC, COPM). |

        | executionMode | string | Yes | Defines how the amount is interpreted.
        Accepts two values: "NORMAL", the amount corresponds to the
        symbolOrigin, meaning you fix the value you want to send and the system
        calculates the amount to be received in symbolDestination. "INVERSE" ,
        the amount corresponds to the symbolDestination, meaning you fix the
        value you want to receive and the system calculates the amount to be
        debited in symbolOrigin. |

        | paymentMethod | string | Yes | The channel used to move the funds.
        Select the value that matches your operation type and currency. Allowed
        values: BREB, PSE, SWIFT, WIRE. |


        #### Response


        The response for this request is a JSON object representing the quote.


        | **Field** | **Description** |

        | --- | --- |

        | amountOrigin | This is the amount you will operate and send to us. |

        | amountDestination | This is the amount that we will send and you will
        receive as a result of your operation. |

        | costInfra | This is the infrastructure use cost applied to your
        transaction in FIAT. This is Kravata's earning for providing the
        services you are using, and delivering the best experience possible with
        them. It will be calculated based on the amount sent. |

        | calculateRate | This is the rate used for calculating the amount to
        receive and the infrastructure use cost. |

        | symbolOrigin | The symbol of the token/fiat you will send us (COP,
        USD, USDC, COPM). |

        | symbolDestination | The symbol of the token/fiat we will send you
        (COP, USD, USDC, COPM). |

        | withdrawalFee | Withdrawal costs related to the transaction. |

        | direction | The type of order/ ramp you will create ("DEPOSIT": if you
        have Fiat and want to receive stablecoin; "WITHDRAWAL": if you have
        stablecoin and want to receive Fiat). |
      operationId: get-quote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                direction:
                  type: string
                amount:
                  type: number
                executionMode:
                  type: string
                paymentMethod:
                  type: string
                symbolOrigin:
                  type: string
                symbolDestination:
                  type: string
            example:
              direction: WITHDRAWAL
              amount: 1.84
              executionMode: NORMAL
              paymentMethod: BREB
              symbolOrigin: USDC
              symbolDestination: COP
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  direction:
                    type: string
                  paymentMethod:
                    type: string
                  amountOrigin:
                    type: number
                  amountDestination:
                    type: number
                  symbolOrigin:
                    type: string
                  symbolDestination:
                    type: string
                  calculatedValues:
                    type: object
                    properties:
                      calculateRate:
                        type: number
                      CostInfra:
                        type: integer
                      amountReceive:
                        type: number
              examples:
                quote:
                  summary: quote
                  value:
                    direction: WITHDRAWAL
                    paymentMethod: BREB
                    amountOrigin: 1.84
                    amountDestination: 2500.5
                    symbolOrigin: USDC
                    symbolDestination: COP
                    calculatedValues:
                      calculateRate: 3261.14
                      CostInfra: 3500
                      amountReceive: 2500.5
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````